IOSS 2.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ObjScopeGuardImpl2< Obj, MemFun, P1, P2 > Class Template Reference

`#include <Ioss_ScopeGuard.h>`

## Public Member Functions
| ~ObjScopeGuardImpl2 () throw ()
void | Execute ()
Public Member Functions inherited from ScopeGuardImplBase
| ScopeGuardImplBase () throw ()
void | Dismiss () const throw ()

## Static Public Member Functions
static ObjScopeGuardImpl2< Obj, MemFun, P1, P2 > | MakeObjGuard (Obj &obj, MemFun memFun, P1 p1, P2 p2)

## Protected Member Functions
| ObjScopeGuardImpl2 (Obj &obj, MemFun memFun, P1 p1, P2 p2)
Protected Member Functions inherited from ScopeGuardImplBase
| ~ScopeGuardImplBase ()=default
| ScopeGuardImplBase (const ScopeGuardImplBase &other) throw ()

## Protected Attributes
Obj & | obj_
MemFun | memFun_
const P1 | p1_
const P2 | p2_
Protected Attributes inherited from ScopeGuardImplBase
bool | dismissed_

## Additional Inherited Members
Static Protected Member Functions inherited from ScopeGuardImplBase
template<typename J >
static void | SafeExecute (J &j) throw ()

## Constructor & Destructor Documentation

## ◆ ~ObjScopeGuardImpl2()

template<class Obj, typename MemFun, typename P1, typename P2>

ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >::~ObjScopeGuardImpl2 | ( |  | ) |
throw | ( |
| ) |  |
| inline

## ◆ ObjScopeGuardImpl2()

template<class Obj, typename MemFun, typename P1, typename P2>

ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >::ObjScopeGuardImpl2 | ( | Obj & | obj,
|  | MemFun | memFun,
|  | P1 | p1,
|  | P2 | p2
| ) |  |
| inline protected

## Member Function Documentation

## ◆ Execute()

template<class Obj, typename MemFun, typename P1, typename P2>

void ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >::Execute | ( |  | ) |
| inline

## ◆ MakeObjGuard()

template<class Obj, typename MemFun, typename P1, typename P2>

static ObjScopeGuardImpl2<Obj, MemFun, P1, P2> ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >::MakeObjGuard | ( | Obj & | obj,
|  | MemFun | memFun,
|  | P1 | p1,
|  | P2 | p2
| ) |  |
| inline static

## Member Data Documentation

## ◆ memFun_

template<class Obj, typename MemFun, typename P1, typename P2>

MemFun ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >::memFun_
| protected

## ◆ obj_

template<class Obj, typename MemFun, typename P1, typename P2>

Obj& ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >::obj_
| protected

## ◆ p1_

template<class Obj, typename MemFun, typename P1, typename P2>

const P1 ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >::p1_
| protected

## ◆ p2_

template<class Obj, typename MemFun, typename P1, typename P2>

const P2 ObjScopeGuardImpl2< Obj, MemFun, P1, P2 >::p2_
| protected

The documentation for this class was generated from the following file:

- src/Ioss_ScopeGuard.h